Subject: Re: [OPSAWG] Francesca Palombini's Discuss on draft-ietf-opsawg-tacacs-yang-10: (with DISCUSS)

From: "Wubo (lana)" <[email-masked]>
Date: Thu, 22 Apr 2021 08:15:48 +0000

Hi Francesca,

Thank you for the review. I hope the IETF process can provide more guidance on your discuss issue.

Best regards,
Bo

-----邮件原件-----
发件人: Francesca Palombini via Datatracker [mailto:[email-masked]] 
发送时间: 2021年4月22日 0:30
收件人: The IESG <[email-masked]>
抄送: [email-masked]; [email-masked]; [email-masked]; Joe Clarke <[email-masked]>; [email-masked]; [email-masked]
主题: Francesca Palombini's Discuss on draft-ietf-opsawg-tacacs-yang-10: (with DISCUSS)

Francesca Palombini has entered the following ballot position for
draft-ietf-opsawg-tacacs-yang-10: Discuss

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-opsawg-tacacs-yang/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Thank you for the work on this document.
This is a discuss DISCUSS - while reading this document and considering the normative downref to RFC 8907 TACACS+, which is informational, I agree with Elliot [1] that to me this document would make more sense as informational. I have followed the mail thread and saw the authors' responses, which quoted RFC
3967 :

   o  A standards document may need to refer to a proprietary protocol,
      and the IETF normally documents proprietary protocols using
      informational RFCs.

I am not convinced that this is one of the cases that this bullet was supposed to cover. Additionally, I could not find in meeting minutes that this was ever discussed in the wg, as was suggested in the mail thread [2]. I'd like to know if the resp AD is aware of any related discussion after this point was raised.

Another point the authors made in favor of keeping this std track was that they haven't seen any YANG data model published as informational. Again, I am not convinced that this is reason enough to progress this as std track.

I note that this was reported in the shepherd write up [3] and in the last call [4], so won't block progress after a discussion, but I do think it is worth talking about. Please let me know if I missed anything.

Thanks,
Francesca

[1] https://mailarchive.ietf.org/arch/msg/opsawg/2mRkaXy5M9XCPp4_wXNpQd9GLdk/
[2] https://mailarchive.ietf.org/arch/msg/opsawg/MOnCfYBS3j4wBnZWDjl_YQHfvzg/
[3]
https://datatracker.ietf.org/doc/draft-ietf-opsawg-tacacs-yang/shepherdwriteup/
[4] https://mailarchive.ietf.org/arch/msg/opsawg/FJmtUtB0x8tV0MUdO9Uhvc2e1p0/